# eric4.ViewManager.BookmarkedFilesDialog

Module implementing a configuration dialog for the bookmarked files menu.

### Global Attributes

None

### Classes

BookmarkedFilesDialog | Class implementing a configuration dialog for the bookmarked files menu.

### Functions

None

## BookmarkedFilesDialog

Class implementing a configuration dialog for the bookmarked files menu.

### Derived from

QDialog, Ui_BookmarkedFilesDialog

### Class Attributes

None

### Class Methods

None

### Methods

BookmarkedFilesDialog | Constructor
__swap | Private method used two swap two list entries given by their index.
getBookmarkedFiles | Public method to retrieve the tools list.
on_addButton_clicked | Private slot to add a new entry.
on_changeButton_clicked | Private slot to change an entry.
on_deleteButton_clicked | Private slot to delete the selected entry.
on_downButton_clicked | Private slot to move an entry down in the list.
on_fileButton_clicked | Private slot to handle the file selection via a file selection dialog.
on_fileEdit_textChanged | Private slot to handle the textChanged signal of the file edit.
on_filesList_currentRowChanged | Private slot to set the lineedit depending on the selected entry.
on_upButton_clicked | Private slot to move an entry up in the list.

### Static Methods

None

#### BookmarkedFilesDialog (Constructor)

BookmarkedFilesDialog(bookmarks, parent = None)

Constructor

bookmarks
  list of bookmarked files (QStringList)
parent
  parent widget (QWidget)

#### BookmarkedFilesDialog.__swap

__swap(itm1, itm2)

Private method used two swap two list entries given by their index.

itm1
  index of first entry (int)
itm2
  index of second entry (int)

#### BookmarkedFilesDialog.getBookmarkedFiles

getBookmarkedFiles()

Public method to retrieve the tools list.

Returns:
  a list of filenames (QStringList)

#### BookmarkedFilesDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new entry.

#### BookmarkedFilesDialog.on_changeButton_clicked

on_changeButton_clicked()

Private slot to change an entry.

#### BookmarkedFilesDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected entry.

#### BookmarkedFilesDialog.on_downButton_clicked

on_downButton_clicked()

Private slot to move an entry down in the list.

#### BookmarkedFilesDialog.on_fileButton_clicked

on_fileButton_clicked()

Private slot to handle the file selection via a file selection dialog.

#### BookmarkedFilesDialog.on_fileEdit_textChanged

on_fileEdit_textChanged(txt)

Private slot to handle the textChanged signal of the file edit.

txt
  the text of the file edit (QString)

#### BookmarkedFilesDialog.on_filesList_currentRowChanged

on_filesList_currentRowChanged(row)

Private slot to set the lineedit depending on the selected entry.

row
  the current row (integer)

#### BookmarkedFilesDialog.on_upButton_clicked

on_upButton_clicked()

Private slot to move an entry up in the list.

Up